[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# IClassFactory.CreateInstance

Create a new instance of an interface.

## Declaration

Source position: types.pp line 308

`function IClassFactory.CreateInstance(`
`const unkOuter: IUnknown;`
`const riid: TGuid;`
`out vObject`
`):HRESULT;`

## Description

IClassFactory.CreateInstance is defined for Delphi/Kylix compatibility and should not be used.